post
https://api.loopsubscriptions.com/admin/2026-04/subscription//line
This endpoint allows you to add a new subscription line item in a subscription contract.
Token scope - Read & write subscription contracts
Rate limit - Global pool (i.e. 50 requests per second per domain)
Path param explained :
subscriptionIdId of the subscription. This can be passed in the following format :{id}- where id is the Loop internal id of the subscription contract. This is the default path param format.loop-{id}- where id is the Loop internal id of the subscription contract.shopify-${id}- Where id is the shopifySubscriptionId of the subscription contract.
Key points to consider
sellingPlanGroupId- ThesellingPlanGroupIdrefers to the selling plan group ID associated with the variant that will be added.- If the
sellingPlanGroupIdis not provided, the system will assign the plan based on the priority of the available selling plan groups. - If the provided
sellingPlanGroupIdis invalid or does not exist, an error will be thrown.
- If the
- When
sellingPlanGroupIdis not provided:- If the product variant is available under a selling plan that matches the subscription's frequency, that plan will be attached to the new line, and the line price will be based on that selling plan.
- If the product variant is not available under any selling plan matching the subscription's frequency, the line will be added using the subscription's frequency at the product's base price.
- Adding a product with a custom price: To add a product with a custom price, use the customDiscount object to configure the discount that should be applied to the product's base price.
